# Uses of Class
org.apache.solr.common.cloud.ClusterState.CollectionRef

Packages that use ClusterState.CollectionRef
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.

## Uses of ClusterState.CollectionRef in org.apache.solr.client.solrj.impl

Methods in org.apache.solr.client.solrj.impl that return ClusterState.CollectionRef
Modifier and Type
Method
Description
`ClusterState.CollectionRef`
BaseHttpClusterStateProvider.`getState(String collection)`
`ClusterState.CollectionRef`
ClusterStateProvider.`getState(String collection)`
Obtain the state of the collection (cluster status).
`ClusterState.CollectionRef`
DelegatingClusterStateProvider.`getState(String collection)`

## Uses of ClusterState.CollectionRef in org.apache.solr.common.cloud

Methods in org.apache.solr.common.cloud that return ClusterState.CollectionRef
Modifier and Type
Method
Description
`ClusterState.CollectionRef`
ClusterState.`getCollectionRef(String coll)`
Constructor parameters in org.apache.solr.common.cloud with type arguments of type ClusterState.CollectionRef
Modifier
Constructor
Description
``
`ClusterState(Map<String,ClusterState.CollectionRef> collectionStates, Set<String> liveNodes)`
Use this if all the collection states are not readily available and some needs to be lazily loaded (parameter order different from constructor above to have different erasures)